Skip to main content
Standard Ethereum JSON-RPC API

eth_getStorageAt

Returns the value stored at a given storage slot of a contract address.

Parameters​

  • address: [required] 20-byte address of the contract.
  • position: [required] Hexadecimal integer of the storage slot position.
  • blockParameter: [required] Hexadecimal block number, or latest, earliest, pending, finalized.

Returns​

The 32-byte value at the given storage position, as a hex string.

Example​

This example reads the 32-byte value at storage position 0x0 of the USDC contract.

Request​

curl https://rpc.linea.build \
-X POST \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"method": "eth_getStorageAt",
"params": [
"0x176211869ca2b568f2a7d4ee941e073a821ee1ff",
"0x0",
"latest"
],
"id": 1
}'

Response​

{
"jsonrpc": "2.0",
"id": 1,
"result": "0x00000000000000000000000085e54b6659b11b09ece200728bb775332ebcea65"
}

Was this page helpful?